# glvideoflip

Flip video on the GPU

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──glvideoflip

## Implemented interfaces

    GstChildProxy
    GstVideoDirection

## Factory details

Authors: – Matthew Waters <matthew></matthew>

Classification: – `Filter/Effect/Video`

Rank – none

Plugin – opengl

Package – GStreamer Base Plug-ins

## Pad Templates

### `sink`

    video/x-raw(memory:GLMemory):
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]
     texture-target: 2D

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw(memory:GLMemory):
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]
     texture-target: 2D

Presence – always

Direction – src

Object type – GstPad

## Properties

### method

    “method” Glvideo-flip-method *

method (deprecated, use video-direction instead)

Flags : Read / Write

Default value : none (0)

## Named constants

### Glvideo-flip-method

#### Members

`none` (0) – Identity (no rotation)
`clockwise` (1) – Rotate clockwise 90 degrees
`rotate-180` (2) – Rotate 180 degrees
`counterclockwise` (3) – Rotate counter-clockwise 90 degrees
`horizontal-flip` (4) – Flip horizontally
`vertical-flip` (5) – Flip vertically
`upper-left-diagonal` (6) – Flip across upper left/lower right diagonal
`upper-right-diagonal` (7) – Flip across upper right/lower left diagonal
`automatic` (8) – Select flip method based on image-orientation tag

The results of the search are